Bug 1819485 - aws-controller writes update Events for every machine every 10 mins when no update is made
Summary: aws-controller writes update Events for every machine every 10 mins when no u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Alexander Demicev
QA Contact: Paige Rubendall
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-01 00:10 UTC by Jessica Forrester
Modified: 2020-07-13 17:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:24:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-aws pull 314 0 None closed Bug 1819485: Create event only if machine object was modified 2020-06-23 09:43:16 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:24:49 UTC

Description Jessica Forrester 2020-04-01 00:10:21 UTC
The aws-controller is writing the "Updated machine zzzzzzz" events out every ~10 minutes for every single machine. I do not see any actual update to the Machine object occurring. This results in about 200 unnecessary events a day per machine. We should only be writing events when we are actually persisting updates to the Machine object.

Comment 1 Jessica Forrester 2020-04-01 00:12:40 UTC
Example of one of the events:

Name:             jforrest-demo-qqtgd-worker-us-east-2c-gwpg9.160122a5d5ec35c7
Namespace:        openshift-machine-api
Labels:           <none>
Annotations:      <none>
API Version:      v1
Count:            192
Event Time:       <nil>
First Timestamp:  2020-03-30T16:43:59Z
Involved Object:
  API Version:       machine.openshift.io/v1beta1
  Kind:              Machine
  Name:              jforrest-demo-qqtgd-worker-us-east-2c-gwpg9
  Namespace:         openshift-machine-api
  Resource Version:  1799350
  UID:               f936a8e3-7f00-485e-bf50-8fcbec30ec97
Kind:                Event
Last Timestamp:      2020-04-01T00:05:13Z
Message:             Updated machine jforrest-demo-qqtgd-worker-us-east-2c-gwpg9
Metadata:
  Creation Timestamp:  2020-03-30T16:43:59Z
  Resource Version:    2474472
  Self Link:           /api/v1/namespaces/openshift-machine-api/events/jforrest-demo-qqtgd-worker-us-east-2c-gwpg9.160122a5d5ec35c7
  UID:                 05b20a76-b741-43fa-86f0-ac66f074614b
Reason:                Updated
Reporting Component:   
Reporting Instance:    
Source:
  Component:  aws-controller
Type:         Normal
Events:       <none>

Comment 4 Paige Rubendall 2020-05-08 19:01:17 UTC
Looking in the web console, I am able to see the updating events that were seen before for any of the machines in my cluster. I am able to see the text "No events in the past hour" for all my worker machines. 

$oc version -o yaml
clientVersion:
  buildDate: "2020-04-20T06:10:05Z"
  compiler: gc
  gitCommit: 4fb2d4d96e6b604f7d4ee49080238a5aec04dc4f
  gitTreeState: dirty
  gitVersion: openshift-clients-4.3.14-202004180552
  goVersion: go1.12.12
  major: ""
  minor: ""
  platform: linux/amd64
openshiftVersion: 4.5.0-0.nightly-2020-05-08-095803
releaseClientVersion: 4.3.15
serverVersion:
  buildDate: "2020-05-06T21:10:44Z"
  compiler: gc
  gitCommit: dfd05bf
  gitTreeState: clean
  gitVersion: v1.18.0-rc.1
  goVersion: go1.13.4
  major: "1"
  minor: 18+
  platform: linux/amd64

Comment 6 errata-xmlrpc 2020-07-13 17:24:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.